4SDeveloper
API ReferenceResources
日本語
API Reference
OAuth / OIDC
  • Introduction
  • Authentication Flow
  • Discovery / JWKS
  • Token Endpoint
  • ID Token
  • Token Revocation
  • Calling the APIs
  • Rate Limits
  • Error Reference
  • Integration Examples
  • Demo App
Schemas
Users / Profile
Card exchange / Meet log
Organizations
Organizations (Admin)
Events
Events (Admin)
Communities
Communities (Admin)
Playlists
Playlists (Admin)
Chat
  • List chat rooms
  • Chat room detail
  • Create chat room
  • Rename chat room
  • List chat room members
  • Invite chat room members
  • Remove a chat room member
  • List mention candidates
  • Join a chat room
  • Decline a chat room invitation
  • Leave a chat room
  • List messages
  • Send a message
  • Delete a message
  • List who reacted
  • Add a reaction
  • Remove a reaction
  • List room images
  • Toggle room notifications
  • List files
  • Register an uploaded file
  • Rename or move a file
  • Delete a file
  • Create an upload URL
  • Create a download URL
  • List folders
  • Create a folder
  • Rename or move a folder
  • Delete a folder
  • Mark messages as read
Notifications
Push notifications
Bookmarks
Misc
Chat

Leave a chat room

PUT/chat-rooms/:id/leave

Leave a chat room (JOINED → LEFT). The membership record is retained with the LEFT status.

AuthLogin required

Path parameters

idstringrequired

Chat room ID.

Response

Returns ChatRoomMember.

Request
curl https://api.4s.link/chat-rooms/ID/leave \
-X PUT \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"id": "rm1a2b3-...",
"roomId": "r1a2b3c4-...",
"status": "LEFT",
"user": { "id": "a1b2c3d4-...", "slug": "taro", "firstName": "太郎", "lastName": "山田" }
}
© 4SDeveloper portal for the 4S platform.